org.appng.core.controller.handler

## Class JspHandler

- java.lang.Object
- - org.appng.core.controller.handler.JspHandler

- All Implemented Interfaces:
    RequestHandler

      public class JspHandler
      extends Object
      implements RequestHandler

  A `RequestHandler` responsible for serving JSPs. Internally,the `HttpServletRequest` is forwarded to the Jasper JSP Engine, namely a `org.apache.jasper.servlet.JspServlet`.
  Author:
    Matthias Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.jasper.servlet.JspServlet` | `jspServlet`

    - ### Fields inherited from interface org.appng.core.controller.handler.RequestHandler

      `FORWARDED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspHandler(javax.servlet.ServletConfig servletConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(javax.servlet.http.HttpServletRequest servletRequest, javax.servlet.http.HttpServletResponse servletResponse, Environment environment, Site site, PathInfo pathInfo)` Handles the given `HttpServletRequest`,

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jspServlet

          protected org.apache.jasper.servlet.JspServlet jspServlet

  - ### Constructor Detail

    - #### JspHandler

          public JspHandler(javax.servlet.ServletConfig servletConfig)
                     throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

  - ### Method Detail

    - #### handle

          public void handle(javax.servlet.http.HttpServletRequest servletRequest,
                             javax.servlet.http.HttpServletResponse servletResponse,
                             Environment environment,
                             Site site,
                             PathInfo pathInfo)
                      throws javax.servlet.ServletException,
                             IOException

      Description copied from interface: `RequestHandler`
      Handles the given `HttpServletRequest`,
      Specified by:
        `handle` in interface `RequestHandler`
      Parameters:
        `servletRequest` - the current `HttpServletRequest`
        `servletResponse` - the current `HttpServletResponse`
        `environment` - the current `Environment`
        `site` - the current `Site`
        `pathInfo` - the current `PathInfo`
      Throws:
        `javax.servlet.ServletException` - if a servlet-specific error occurs
        `IOException` - if a resource could not be found

Copyright © 2011–2023 aiticon GmbH. All rights reserved.